﻿@{
    Layout = null;
}

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>CutiIntalogi | Log in</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/fontawesome-free/css/all.min.css">
    <!-- icheck bootstrap -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="~/AdminLTE/dist/css/adminlte.min.css">
    <!-- Toastr -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css" />
    <link rel="stylesheet" href="~/AdminLTE/plugins/toastr/toastr.min.css" />
    <!-- Toogle Password Visibily -->
    <title>Toggle Password Visibility</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/css/all.min.css">
    <link rel="stylesheet" href="css/style.css">
</head>

<body class="hold-transition login-page" >
    <div class="login-page">
        <div class="card card-outline card-primary" >
            <!-- /.login-logo -->
            <div class="card-header text-center text-black " >
                @*<div class="card-header bg-gray-light text-center">
                    <img src="~/Images/icon-intalogi.png" class="brand-image" style="width:250px;height:auto">
                </div>*@
                <div class="card-header text-center ">
                    <img src="~/Images/icon-intalogi.png" class="brand-image " style="width:200px;height:auto;">
                    <div></div>
                    <a href="@Url.Content("~/LoginPage/index")" class="h1 text-cyan" style="font-size:15px;font-family:'Lucida Sans Typewriter'">
                        <b>CutiIntalogi</b>
                    </a>
                </div>
                <div class="card-body">
                    <p id="bodyCard" style="font-family: Calibri" class="login-box-msg">LOG INTO YOUR INTALOGI ACCOUNT</p>
                    <form method="post">
                        <div class="input-group mb-3">
                            <input type="email" class="form-control" placeholder="Email" id="xEmail">

                            <div class="input-group-append">
                                <div class="input-group-text">
                                    <span class="fas fa-envelope"></span>
                                </div>
                            </div>
                        </div>
                        <div class="input-group mb-3">
                            <input type="password" class="form-control" placeholder="Password" id="xPassword">
                            <div class="input-group-append">
                                <div class="input-group-text">
                                    <span class="fas fa-lock"></span>
                                    <span class="help-block"></span>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-3">

                            </div>
                            <!-- /.col -->
                            <div class="col-6">
                                <button type="submit" id="btnlogin" class="btn btn-primary btn-block">Sign In</button>
                            </div>
                            <!-- /.col -->
                        </div>
                    </form>
                    <p class="mb-5">
                        <a href="@Url.Content("~/ForgotPassword/index")">I forgot my password</a>
                    </p>
                    <div id="err">
                        <div class="alert alert-danger" role="alert">
                            <div id="error_text" style="height:20px"></div>
                        </div>
                    </div>
                </div>
                <!-- /.card-body -->
            </div>
            <!-- /.card -->
        </div>
    </div>

        <!-- /.login-box -->
        <!-- jQuery -->
        <script src="~/AdminLTE/plugins/jquery/jquery.min.js"></script>
        <!-- Bootstrap 4 -->
        <script src="~/AdminLTE/plugins/bootstrap/js/bootstrap.bundle.js"></script>
        <!-- AdminLTE App -->
        <script src="~/AdminLTE/dist/js/adminlte.js"></script>
        <!-- Toast-->
        <script src="~/AdminLTE/plugins/sweetalert2/sweetalert2.min.js"></script>
        <script src="~/AdminLTE/plugins/toastr/toastr.min.js"></script>

        <script>
        $("#err").hide();
        jQuery(document).ready(function ($) {

            $("#btnlogin").on("click", function (evt) {
                evt.preventDefault();
                var jsonObj = {};
                var detailArray = [];
                var validate = true;
                jsonObj.email = $("#xEmail").val();
                jsonObj.password = $("#xPassword").val();
                var b = JSON.stringify(jsonObj);
                var str = b.replace(/\\/g, '');

                $.ajax({
                    url: "@Url.Content("~/LoginPage/verifySignIn")",
                    type: "POST",
                    data: { body: str },
                    dataType: "JSON",
                    beforeSend: function () {
                        Swal.fire({
                            title: 'Loading...',
                            html: "Loading Data.",
                            allowOutsideClick: false,
                            onBeforeOpen: () => {
                                Swal.showLoading()
                            }
                        });
                    },
                    success: function (data) {
                        if (data.metaData.code == "200") {
                            Swal.close();
                            window.open('@Url.Content("~/Home/Index")', '_self');
                        } else {
                            Swal.close();
                            if (data.metaData.message.includes("Tidak Aktif")) {
                                  $("#error_text").html(data.metaData.message)
                            }
                            else {
                                $("#error_text").html("Invalid E-mail or Password!")
                            }

                            $("#err").show();
                            setTimeout(function () {
                                $('#err').fadeOut('slow');
                            }, 5000);
                        }
                    },
                    error: function (eventError, textStatus, errorThrown) {
                        toastr.error(formatErrorMessage(eventError, errorThrown), 'Failed!', { "timeOut": 5000 });
                    }
                });
            });
        });
        </script>
</body>
</html>